Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-48015

Windows 10: MSI installer for MDB 4.4.0 and 4.3.6 errors immediately

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker - P1
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.4.0-rc5, 4.4.0-rc6, 4.7.0
    • Component/s: Packaging
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Backport Requested:
      v4.4
    • Sprint:
      Security 2020-05-18

      Description

      Both the 4.4.0-rc3 and 4.3.6 MSI installers for Windows, available live on our Download Center site, throw the following error message immediately upon launching the installer on Windows 10:

      MongoDB application is only supported on Windows 10/Windows 2016 or later

      Same error for both the Community and Enterprise Edition MSI installers of both release branches.

      This error occurs on both of my Win 10 test machines:

      • Windows 10 Pro 64-bit, version 1903, OS build 18362.778
      • Windows 10 Home 64-bit, version 1909, OS build 18363.778

      Both boxes were able to install MDB 4.2.6 successfully via the 4.2.6 MSI installer last week. MDB 4.4 and 4.3 deprecate Win builds previous to Win 10 / Server 2016, but seem to be triggering this unsupported warning on Windows 10, at least in my testing with 4.4.0rc3 and 4.3.6.

      Sorry, I don't have any other boxes to test with. N=2 might not be very conclusive.

      Hope this helps.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mark.benvenuto Mark Benvenuto
              Reporter:
              andrew.feierabend Andrew Feierabend
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: